%global _empty_manifest_terminate_build 0
Name:           python-typed-ast
Version:        1.4.2
Release:        1
Summary:        a fork of Python 2 and 3 ast modules with type comment support
License:        Apache-2.0
URL:            https://github.com/python/typed_ast
Source0:        https://files.pythonhosted.org/packages/36/8c/efd8ffe7d242cd389632a11cbc6ce596de49b46ece22760a67b742534368/typed_ast-1.4.2.tar.gz
%description
It is a Python 3 package that provides a Python 2.7 and Python 3 parser similar to the standard ast library.
Unlike ast, the parsers in typed_ast include PEP 484 type comments and are independent of the version of Python
under which they are run. The typed_ast parsers produce the standard Python AST (plus type comments), and are
both fast and correct, as they are based on the CPython 2.7 and 3.7 parsers. typed_ast runs on CPython 3.5-3.8
on Linux, OS X and Windows.

%package -n python3-typed-ast
Summary:        a fork of Python 2 and 3 ast modules with type comment support
Provides:       python-typed-ast
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-cffi
BuildRequires:  gcc
BuildRequires:  gdb
%description -n python3-typed-ast
It is a Python 3 package that provides a Python 2.7 and Python 3 parser similar to the standard ast library.

%package help
Summary:        a fork of Python 2 and 3 ast modules with type comment support
Provides:       python3-typed-ast-doc
%description help
It is a Python 3 package that provides a Python 2.7 and Python 3 parser similar to the standard ast library.

%prep
%autosetup -n typed_ast-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-typed-ast -f filelist.lst

%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Aug 05 2021 OpenStack_SIG <openstack@openeuler.org> - 1.4.2-1
- Package Spec generate
